Subject: Re: [ANNOUNCEMENT] New experimental package: gcc4-4.3.0-1
From: NightStrike <[email-masked]>
To: [email-masked]
Cc: "Kai Tietz" <[email-masked]>, "Kai Tietz" <[email-masked]>
Date: Wed, 10 Sep 2008 14:21:38 -0400
List-Id: <cygwin.cygwin.com>

On Wed, Sep 10, 2008 at 2:16 PM, Dave Korn <[email-masked]> wrote:
> NightStrike wrote on 10 September 2008 18:54:
>
>> On Wed, Sep 10, 2008 at 7:15 AM, Dave Korn <[email-masked]> wrote:
>>> Well, here it is at last.  Experimental test release of GCC 4 series
>>> for Cygwin.  Please be aware that this is highly experimental; anything
>>
>> Dave,
>>
>> I've been building and releasing gcc 4.3 and gcc 4.4 toolchains to
>> cross compile from cygwin to Win64 for I guess a year now.  Would you
>> (or cygwin in general) be interested in that as another package to
>> offer?  (ie, offering the gcc4 cross compiler)
>
>  Well, the slightly-longer-but-not-very-long term plan is to remove
> -mno-cygwin and package up a completely separate mingw cross-compiler, so it
> would make a lot of sense to have either a bi-arch capable cross-compiler, or
> offer a 64-bit-targeted version alongside the 32-bit-targeted one.

Multilib support is there.  The only holdup is getting people to agree
on pathnames for the 32-bit and 64-bit variant of lib directories (ie,
use lib and lib32, or lib and lib64... I think someone even suggested
no lib and just lib32 and lib64....)  It's annoying sometimes when
it's that kind of stuff that holds up progress, but there you have it.

>  Is there much in the way of local patching needed?  (I've seen you and Kai
> working on the win64 target on the gcc-l, but I haven't been following very
> closely.)

One of our design goals was to have no local patch needed ever.  So
currently, everything is always pushed upstream as soon as we find a
fix.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/